Package com.orchestranetworks.ui.toolbar

# Interface ToolbarButton

All Known Subinterfaces:
  `ToolbarActionButton`, `ToolbarMenuButton`

public interface ToolbarButton
Allows to define a toolbar button.

Since:
  5.7.1
See Also:
  - `ToolbarActionButton`
  - `ToolbarMenuButton`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setDescription(UserMessage aDescription)`
  Sets the description of the button.
  `void`
  `setDescription(String aDescription)`
  Sets the description of the button.
  `void`
  `setHighlighted(boolean isHighlighted)`
  Defines if this button should be highlighted.
  `void`
  `setIcon(UIButtonIcon buttonIcon)`
  Sets the icon of the button.
  `void`
  `setIcon(String iconReference)`
  Sets the icon of the button.
  `void`
  `setLayout(UIButtonLayout aLayout)`
  Sets the layout of the button.
  `void`
  `setRelief(UIButtonRelief aRelief)`
  Deprecated.
  Since 5.9.0, relief configuration is ignored, all buttons are rendered flat.

- ## Method Details

  - ### setIcon

    void setIcon(String iconReference)
    Sets the icon of the button.

  - ### setIcon

    void setIcon(UIButtonIcon buttonIcon)
    Sets the icon of the button.

  - ### setRelief

    @Deprecated void setRelief(UIButtonRelief aRelief)
    Deprecated.
    Since 5.9.0, relief configuration is ignored, all buttons are rendered flat.
    Sets the relief of the button.

  - ### setLayout

    void setLayout(UIButtonLayout aLayout)
    Sets the layout of the button.

  - ### setHighlighted

    void setHighlighted(boolean isHighlighted)
    Defines if this button should be highlighted.

    Default value is `false`.

    Since:
      6.0.1

  - ### setDescription

    void setDescription(UserMessage aDescription)
    Sets the description of the button.
    Since:
      6.0.2

  - ### setDescription

    void setDescription(String aDescription)
    Sets the description of the button.

    If the button layout is set to `UIButtonLayout.ICON_ONLY`, the label will be used for the tooltip, and thus this description will not be used.

    Since:
      6.0.2